RunningApplicationsFilter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.application
Class RunningApplicationsFilter

    java.lang.Object
      org.dvb.application.AppsDatabaseFilter
          org.dvb.application.RunningApplicationsFilter

    public class RunningApplicationsFilter

extends AppsDatabaseFilter

Instances of `RunningApplicationsFilter` are used to set a filter on the list of applications that are retrieved from the AppsDatabase (See methods getAppsAttributes and getAppsIDs).

A `RunningApplicationsFilter` is used to indicate that only applications that are running as part of the current service shall be returned by the getAppsAttributes and getAppIDs methods of AppsDatabase. Externally authorized applications in the AIT shall be returned if they are currently running in the same service context as the caller. Running applications whose visibility is '00' shall not be returned. Subclasses of RunningApplicationsFilter can override the accept method so as to implement their own filter criteria on the AppIDs values.

Since:
  MHP 1.0

Constructor Summary
`RunningApplicationsFilter()` public Constructor of the RunningApplicationsFilter

Method Summary
`boolean` | `accept(AppID appid)` Test if a specified appid should be included in the Enumeration.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunningApplicationsFilter

    public RunningApplicationsFilter()

  public Constructor of the RunningApplicationsFilter

Method Detail

### accept

    public boolean accept(AppID appid)

  Test if a specified appid should be included in the Enumeration.

  Specified by:
    `accept` in class `AppsDatabaseFilter`
  Parameters:
    `appid` - the specified appid to test.
  Returns:
    true if the application with identifier appid should be listed, false otherwise.
  Since:
    MHP1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD